Subject: Re: bug#1662: 23.0.60; Interactive not using minibuffer prompt face

From: "Geoff Gole" <[email-masked]>
Date: Wed, 24 Dec 2008 14:55:15 +0900

> Strictly spoken, this is not a bug.  "c" uses `read-char', "k" and "K"
> use `read-key-sequence' and, by specification, neither of these use the
> minibuffer.  So `minibuffer-prompt' doesn't apply here.

That makes sense. However, I do think that highlighting prompts in the
minibuffer is a good idea even in situations where the minibuffer is
not used directly.

Isearch in emacs 23 seems to do that, so there is some precedent.